## osxaudiosrc

osxaudiosrc

## Properties

gint | device | Read / Write

## Types and Values

struct | GstOsxAudioSrc

## Description

This element captures raw audio samples using the CoreAudio api.

### Example launch line

    1

    gst-launch-1.0 osxaudiosrc ! wavenc ! filesink location=audio.wav

## Synopsis

### Element Information

plugin | osxaudio
author | Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Source/Audio

### Element Pads

## Functions

## Types and Values

### struct GstOsxAudioSrc

    struct GstOsxAudioSrc {
      GstAudioBaseSrc src;

      AudioDeviceID device_id;
    };

## Property Details

### The `“device”` property

      “device”                   gint

Device ID of input device.

Owner: GstOsxAudioSrc

Flags: Read / Write

Allowed values: >= 0

Default value: 0